---
title: Search service catalog items with pricing
slug: reference/search-service-catalog-items-with-pricing
docTags: 
createdAt: 2025-07-03T16:20:35.018Z
---

{
  "id": "7_QvSphxVYG1ThXqdb_o_",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://app.amberflo.io/business-unit/service-catalog/search",
    "servers": [
      {
        "url": "https://app.amberflo.io/business-unit/service-catalog/search"
      }
    ],
    "name": "Search service catalog items with pricing",
    "description": "List available service catalog items and their prices",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "visibility",
          "type": "string",
          "description": ""
        },
        {
          "kind": "optional",
          "name": "providers",
          "type": "array",
          "description": "",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "categories",
          "type": "array",
          "description": "",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "services",
          "type": "array",
          "description": "",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "meterApiNames",
          "type": "array",
          "description": "",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "regions",
          "type": "array",
          "description": "",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "pricingUnits",
          "type": "array",
          "description": "",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "descriptionLike",
          "type": "string",
          "description": ""
        },
        {
          "kind": "optional",
          "name": "timeInSeconds",
          "type": "integer<int64>",
          "description": "<p>When looking for Amberflo catalog items, this indicates the time (in {unixEpochSeconds} when the item was active. Defaults to 'now'.</p>"
        },
        {
          "kind": "optional",
          "name": "limit",
          "type": "integer<int32>",
          "description": ""
        },
        {
          "kind": "optional",
          "name": "page",
          "type": "integer<int32>",
          "description": ""
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiKey",
          "name": "X-API-KEY",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "business_unit.service_catalog.query.ServiceCatalogItemPage.out",
            "schema": [
              {
                "name": "metadata",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/business_unit.service_catalog.query.ServiceCatalogItemPageMetadata.out",
                "customType": "business_unit.service_catalog.query.ServiceCatalogItemPageMetadata.out",
                "schema": [
                  {
                    "name": "visibility",
                    "kind": "optional",
                    "type": "string",
                    "description": "Service catalog item visibility level controlling access and discovery within business unit service catalogs.\n\n**Values:**\n- **PUBLIC:** Service visible to all business units and users in account\n- **PRIVATE:** Service restricted to specific business units or authorized users only\n",
                    "modelRef": "#/components/schemas/business_unit.service_catalog.CatalogVisibility.out",
                    "customType": "business_unit.service_catalog.CatalogVisibility.out",
                    "schema": []
                  },
                  {
                    "name": "providers",
                    "kind": "optional",
                    "type": "array",
                    "description": "Cloud provider identifier for cost data and service catalog filtering. Supported values include AWS (Amazon Web Services), AZURE (Microsoft Azure), GOOGLE_CLOUD (Google Cloud Platform), and AMBERFLO (internal Amberflo services for meter-based billing).",
                    "modelRef": "#/components/schemas/business_unit.common.DataProvider.out",
                    "customType": "business_unit.common.DataProvider.out[]",
                    "schema": []
                  },
                  {
                    "name": "categories",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "services",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "meterApiNames",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "regions",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "pricingUnits",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "descriptionLike",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "timeInSeconds",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "When looking for Amberflo catalog items, this indicates the time (in {unixEpochSeconds} when the item was active. Defaults to 'now'.",
                    "example": 0
                  },
                  {
                    "name": "limit",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "",
                    "example": 0
                  },
                  {
                    "name": "page",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "",
                    "example": 0
                  },
                  {
                    "name": "filteredRowCount",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "",
                    "example": 0
                  },
                  {
                    "name": "totalFilteredPages",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "",
                    "example": 0
                  }
                ]
              },
              {
                "name": "items",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/business_unit.service_catalog.ServiceCatalogItem.out",
                "customType": "business_unit.service_catalog.ServiceCatalogItem.out[]",
                "schema": [
                  {
                    "name": "provider",
                    "kind": "optional",
                    "type": "string",
                    "description": "Name of the cloud provider",
                    "modelRef": "#/components/schemas/business_unit.common.DataProvider.out",
                    "customType": "business_unit.common.DataProvider.out",
                    "schema": []
                  },
                  {
                    "name": "category",
                    "kind": "optional",
                    "type": "string",
                    "description": "Category of the service",
                    "example": ""
                  },
                  {
                    "name": "service",
                    "kind": "optional",
                    "type": "string",
                    "description": "Name of the cloud service, or the meter label when `provider = amberflo`",
                    "example": ""
                  },
                  {
                    "name": "meterApiName",
                    "kind": "optional",
                    "type": "string",
                    "description": "`meterApiName` as defined in [Meter API](ref:post_meters) when `provider = amberflo`, otherwise not set.",
                    "example": ""
                  },
                  {
                    "name": "dimensions",
                    "kind": "optional",
                    "type": "map",
                    "description": "Usage dimensions when `provider = amberflo`, otherwise not set.",
                    "example": "",
                    "customType": "map<string, string>",
                    "schema": []
                  },
                  {
                    "name": "pricingUnit",
                    "kind": "optional",
                    "type": "string",
                    "description": "Unit of measurement for the pricing",
                    "example": ""
                  },
                  {
                    "name": "region",
                    "kind": "optional",
                    "type": "string",
                    "description": "Region of the service",
                    "example": ""
                  },
                  {
                    "name": "description",
                    "kind": "optional",
                    "type": "string",
                    "description": "Description of the resource",
                    "example": ""
                  },
                  {
                    "name": "currency",
                    "kind": "optional",
                    "type": "string",
                    "description": "Currency of the price",
                    "example": "USD"
                  },
                  {
                    "name": "listUnitPrice",
                    "kind": "optional",
                    "type": "number",
                    "description": "List price per unit",
                    "example": ""
                  },
                  {
                    "name": "contractedUnitPrice",
                    "kind": "optional",
                    "type": "number",
                    "description": "Contracted price per unit",
                    "example": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/business_unit.service_catalog.query.ServiceCatalogItemPage.out",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "_guo-yfdGen8YQHbWrVdB",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://app.amberflo.io/business-unit/service-catalog/search \\\n     --header 'accept: application/json'"
        },
        {
          "id": "HLQe6sQgY0maD4BvC7vho",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://app.amberflo.io/business-unit/service-catalog/search\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "6tm6SN8uVPzqEnLCnAvlU",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://app.amberflo.io/business-unit/service-catalog/search\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "VZdjL4Pg7WWQ_sYeTDV-F",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://app.amberflo.io/business-unit/service-catalog/search\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "_guo-yfdGen8YQHbWrVdB"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Successful request\n{\n  \"metadata\": {\n    \"visibility\": \"\",\n    \"providers\": [\n      \"\"\n    ],\n    \"categories\": [\n      \"\"\n    ],\n    \"services\": [\n      \"\"\n    ],\n    \"meterApiNames\": [\n      \"\"\n    ],\n    \"regions\": [\n      \"\"\n    ],\n    \"pricingUnits\": [\n      \"\"\n    ],\n    \"descriptionLike\": \"\",\n    \"timeInSeconds\": \"\",\n    \"limit\": \"\",\n    \"page\": \"\",\n    \"filteredRowCount\": \"\",\n    \"totalFilteredPages\": \"\"\n  },\n  \"items\": [\n    {\n      \"provider\": \"\",\n      \"category\": \"\",\n      \"service\": \"\",\n      \"meterApiName\": \"\",\n      \"dimensions\": \"\",\n      \"pricingUnit\": \"\",\n      \"region\": \"\",\n      \"description\": \"\",\n      \"currency\": \"USD\",\n      \"listUnitPrice\": 0,\n      \"contractedUnitPrice\": 0\n    }\n  ]\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": "",
      "id": "Tk9EoFQAA1w-58U1TWQZr"
    }
  ]
}